#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  libaio-0.3.112

- Next

  libassuan-2.5.5

- Up
- Home

# libarchive-3.6.0

## Introduction to libarchive

The libarchive library provides a single interface for reading/writing various compression formats.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/libarchive/libarchive/releases/download/v3.6.0/libarchive-3.6.0.tar.xz

- Download MD5 sum: 93f96acdb9e7277278edb154e5d76e49

- Download size: 6.1 MB

- Estimated disk space required: 42 MB (add 30 MB for tests)

- Estimated build time: 0.3 SBU (add 0.8 SBU for tests)

### libarchive Dependencies

#### Optional

libxml2-2.9.13, LZO-2.10, and Nettle-3.7.3

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libarchive

## Installation of libarchive

First, fix a bug caused by a behavior change in OpenSSL-3:

    sed -i '436a if ((OSSL_PROVIDER_load(NULL, "legacy")) == NULL) \
          return (ARCHIVE_FAILED);' libarchive/archive_digest.c

Install libarchive by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

To test the results, issue: LC_ALL=C make check.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--without-xml2`: This switch sets expat for xar archive format support instead of preferred libxml2 if both packages are installed.

`--without-nettle`: This switch sets OpenSSL for crypto support instead of preferred Nettle if both packages are installed.

## Contents

Installed Programs: bsdcat, bsdcpio, and bsdtar
Installed Libraries: libarchive.so
Installed Directories: None

### Short Descriptions

bsdcat | expands files to standard output
bsdcpio | is a tool similar to cpio
bsdtar | is a tool similar to GNU tar
`libarchive.so` | is a library that can create and read several streaming archive formats

Last updated on

- Prev

  libaio-0.3.112

- Next

  libassuan-2.5.5

- Up
- Home